CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-9513

Some HTTP/2 implementations are vulnerable to resource loops, potentially leading to a denial of service. The attacker creates multiple request streams and continually shuffles the priority of the streams in a way that causes substantial churn to the priority tree. This can consume excess CPU.
Publish Date : 2019-08-13 Last Update Date : 2019-08-23
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.8
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 400

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2019:2692: nghttp2 security update (Important) oval:com.redhat.rhsa:def:20192692 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-9513

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Traffic Server 6.0.0 Version Details Vulnerabilities
2 Application Apache Traffic Server 6.0.3 Version Details Vulnerabilities
3 Application Apache Traffic Server 6.1.0 Version Details Vulnerabilities
4 Application Apache Traffic Server 6.1.1 Version Details Vulnerabilities
5 Application Apache Traffic Server 6.2.0 Version Details Vulnerabilities
6 Application Apache Traffic Server 6.2.1 Version Details Vulnerabilities
7 Application Apache Traffic Server 6.2.1 RC0 Version Details Vulnerabilities
8 Application Apache Traffic Server 6.2.2 Version Details Vulnerabilities
9 Application Apache Traffic Server 6.2.2 RC0 Version Details Vulnerabilities
10 Application Apache Traffic Server 6.2.3 Version Details Vulnerabilities
11 Application Apache Traffic Server 7.0.0 RC1 Version Details Vulnerabilities
12 Application Apache Traffic Server 7.0.0 RC2 Version Details Vulnerabilities
13 Application Apache Traffic Server 7.0.0 Version Details Vulnerabilities
14 Application Apache Traffic Server 7.0.0 RC0 Version Details Vulnerabilities
15 Application Apache Traffic Server 7.1.0 Version Details Vulnerabilities
16 Application Apache Traffic Server 7.1.0 RC0 Version Details Vulnerabilities
17 Application Apache Traffic Server 7.1.0 RC1 Version Details Vulnerabilities
18 Application Apache Traffic Server 7.1.1 RC0 Version Details Vulnerabilities
19 Application Apache Traffic Server 7.1.1 RC1 Version Details Vulnerabilities
20 Application Apache Traffic Server 7.1.1 Version Details Vulnerabilities
21 Application Apache Traffic Server 7.1.2 RC2 Version Details Vulnerabilities
22 Application Apache Traffic Server 7.1.2 RC3 Version Details Vulnerabilities
23 Application Apache Traffic Server 7.1.2 RC4 Version Details Vulnerabilities
24 Application Apache Traffic Server 7.1.2 Version Details Vulnerabilities
25 Application Apache Traffic Server 7.1.2 RC0 Version Details Vulnerabilities
26 Application Apache Traffic Server 7.1.2 RC1 Version Details Vulnerabilities
27 Application Apache Traffic Server 7.1.3 Version Details Vulnerabilities
28 Application Apache Traffic Server 7.1.3 RC0 Version Details Vulnerabilities
29 Application Apache Traffic Server 7.1.4 RC0 Version Details Vulnerabilities
30 Application Apache Traffic Server 7.1.4 RC1 Version Details Vulnerabilities
31 Application Apache Traffic Server 7.1.4 Version Details Vulnerabilities
32 Application Apache Traffic Server 7.1.5 Version Details Vulnerabilities
33 Application Apache Traffic Server 8.0.0 RC1 Version Details Vulnerabilities
34 Application Apache Traffic Server 8.0.0 RC2 Version Details Vulnerabilities
35 Application Apache Traffic Server 8.0.0 RC3 Version Details Vulnerabilities
36 Application Apache Traffic Server 8.0.0 RC4 Version Details Vulnerabilities
37 Application Apache Traffic Server 8.0.0 Version Details Vulnerabilities
38 Application Apache Traffic Server 8.0.0 RC0 Version Details Vulnerabilities
39 Application Apache Traffic Server 8.0.1 Version Details Vulnerabilities
40 Application Apache Traffic Server 8.0.2 Version Details Vulnerabilities
41 Application Apache Traffic Server 8.0.3 Version Details Vulnerabilities
42 Application Apple Swiftnio 1.0.0 Version Details Vulnerabilities
43 Application Apple Swiftnio 1.0.1 Version Details Vulnerabilities
44 Application Apple Swiftnio 1.1.0 Version Details Vulnerabilities
45 Application Apple Swiftnio 1.1.1 Version Details Vulnerabilities
46 Application Apple Swiftnio 1.2.0 Version Details Vulnerabilities
47 Application Apple Swiftnio 1.2.1 Version Details Vulnerabilities
48 Application Apple Swiftnio 1.2.2 Version Details Vulnerabilities
49 Application Apple Swiftnio 1.3.0 Version Details Vulnerabilities
50 Application Apple Swiftnio 1.3.1 Version Details Vulnerabilities
51 Application Apple Swiftnio 1.3.2 Version Details Vulnerabilities
52 Application Apple Swiftnio 1.4.0 Version Details Vulnerabilities
53 OS Canonical Ubuntu Linux 16.04 ~~lts~~~ Version Details Vulnerabilities
54 OS Canonical Ubuntu Linux 18.04 ~~lts~~~ Version Details Vulnerabilities
55 OS Canonical Ubuntu Linux 19.04 Version Details Vulnerabilities
56 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
57 OS Debian Debian Linux 10.0 Version Details Vulnerabilities
58 OS Fedoraproject Fedora 30 Version Details Vulnerabilities
59 Application Synology Diskstation Manager 6.2 Version Details Vulnerabilities
60 Application Synology Skynas - Version Details Vulnerabilities
61 OS Synology Vs960hd Firmware - Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Traffic Server 41
Apple Swiftnio 11
Canonical Ubuntu Linux 3
Debian Debian Linux 2
Fedoraproject Fedora 1
Synology Diskstation Manager 1
Synology Skynas 1
Synology Vs960hd Firmware 1

- References For CVE-2019-9513

https://lists.fedoraproject.org/archives/list/[email protected]/message/LZLUYPYY3RX4ZJDWZRJIKSULYRJ4PXW7/
FEDORA FEDORA-2019-81985a8858
https://www.debian.org/security/2019/dsa-4505
DEBIAN DSA-4505
https://www.synology.com/security/advisory/Synology_SA_19_33 CONFIRM
https://support.f5.com/csp/article/K02591030 CONFIRM
https://usn.ubuntu.com/4099-1/
UBUNTU USN-4099-1
https://security.netapp.com/advisory/ntap-20190823-0005/ CONFIRM
https://seclists.org/bugtraq/2019/Aug/40
BUGTRAQ 20190822 [SECURITY] [DSA 4505-1] nginx security update
https://security.netapp.com/advisory/ntap-20190823-0002/ CONFIRM
https://lists.fedoraproject.org/archives/list/[email protected]/message/TAZZEVTCN2B4WT6AIBJ7XGYJMBTORJU5/
FEDORA FEDORA-2019-befd924cfe
https://lists.fedoraproject.org/archives/list/[email protected]/message/CMNFX5MNYRWWIMO4BTKYQCGUDMHO3AXP/
FEDORA FEDORA-2019-5a6a7bc12c
https://lists.fedoraproject.org/archives/list/[email protected]/message/JUBYAF6ED3O4XCHQ5C2HYENJLXYXZC4M/
FEDORA FEDORA-2019-8a437d5c2f
https://lists.fedoraproject.org/archives/list/[email protected]/message/4ZQGHE3WTYLYAYJEIDJVF2FIGQTAYPMC/
FEDORA FEDORA-2019-6a2980de56
https://kb.cert.org/vuls/id/605641/
CERT-VN VU#605641
https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-002.md

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2019-9513

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.